//! Modem modes.

/// Modem mode.
pub trait Mode: Sized + Default + 'static {}

/// FSK/OOK mode.
#[derive(Default)]
pub struct FskOok;

impl Mode for FskOok {}

/// LoRa™ mode.
#[derive(Default)]
pub struct Lora;

impl Mode for Lora {}

/// Undefined mode.
#[derive(Default)]
pub struct Undefined;

impl Mode for Undefined {}
