use drone_core::reg::RegVal;
use drone_sx1276_macros::spi_reg;
use mode::{FskOok, Lora};
use reg::{SpiReg, WSpiReg};

spi_reg! {
  /// A FSK/OOK mode register that is never exist.
  NeverRegFskOok;
  NeverRegFskOok;
  FskOok;
  0 0 WSpiReg;
}

spi_reg! {
  /// A LoRa mode register that is never exist.
  NeverRegLora;
  NeverRegLora;
  Lora;
  0 0 WSpiReg;
}
